---
- name: setup  of the api
  hosts: all
  remote_user: doli
  become: yes
  # remote_user: root

  tasks:

    - name: lol1
      command: sudo apt -y install curl
      ignore_errors: yes

    - name: lol2
      command: sudo apt -y install git
      ignore_errors: yes


    - name: lol3
      command: sudo apt -y install nginx
      ignore_errors: yes

    - name: lol4
      command: apt-get -y install composer
      ignore_errors: yes

    - name: prepphp2
      command: sudo apt -y install lsb-release apt-transport-https ca-certificates wget
      ignore_errors: yes
    - name: prepphp3
      command: sudo wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg
      ignore_errors: yes
    - name: prepphp4
      command: echo "deb https://packages.sury.org/php/ $(lsb_release -sc) main" | sudo tee /etc/apt/sources.list.d/php.list
      ignore_errors: yes
    - name: prepphp5
      command: sudo apt update
      ignore_errors: yes
    - name: php1
      command: sudo apt install -y php7.4
      ignore_errors: yes
    - name: php2
      command: sudo apt install -y php7.4-fpm
      ignore_errors: yes
    - name: php3
      command: sudo  apt install -y php7.4-curl
      ignore_errors: yes

    - name: php4
      command: sudo  apt install -y php7.4-mysql
      ignore_errors: yes
    - name: php4
      command: sudo  apt install -y php7.4-pgsql
      ignore_errors: yes

    - name: php5
      command: sudo  apt install -y php7.4-xml
      ignore_errors: yes

    - name: ensure php7.4-fpm cgi.fix_pathinfo=0
      lineinfile: dest=/etc/php/7.4/fpm/php.ini regexp='^(.*)cgi.fix_pathinfo=' line=cgi.fix_pathinfo=0
      notify:
        - restart php7.4-fpm
        - restart nginx
      become: yes

    # - name: create /var/www/ directory
    #   file: dest=/var/www/ state=directory owner=needoliprane group=needoliprane mode=0700
    #   become: yes

    - name: create /var/www/ directory
      file: dest=/var/www/ state=directory owner=www-data group=www-data mode=0700
      become: yes

    - name: php5
      command: git config --global http.sslVerify false
      ignore_errors: yes

    - name: Clone git repository
      git: >
        dest=/var/www/test2
        repo=https://github.com/Needoliprane/test3.git
        update=no
      register: cloned
      become: yes


    - name: composer create-project1
      shell: "cd /var/www/test2/ && ./composer.phar global require 'laravel/installer=~1.1'"
      become: yes
      async: 45
      poll: 5

    - name: composer create-project2
      shell: "cd /var/www/test2/ && ./composer.phar update"
      become: yes
      async: 45
      poll: 5

    - name: composer create-project3
      shell: "cd /var/www/test2/ && php artisan migrate"
      become: yes
      ignore_errors: yes



    - name: composer create-project4
      shell: "sudo chown -R www-data.www-data /var/www/test2/storage && sudo chown -R www-data.www-data /var/www/test2/bootstrap/cache"
      become: yes


    # - name: composer create-project5
    #   shell: "sudo ln -s /etc/nginx/sites-available/default /etc/nginx/sites-enabled/"
    #   become: yes


    - name: Configure nginx
      template: src=nginx.conf dest=/etc/nginx/sites-available/default
      become: yes
      notify:
        - restart php7.4-fpm
        - restart nginx


  handlers:
    - name: restart php7.4-fpm
      service: name=php7.4-fpm state=restarted
      become: yes

    - name: restart nginx
      service: name=nginx state=restarted
      become: yes
